import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * A world that also calculates the frames per second (FPS) of itself.
 * Uses the counter class to display the FPS.
 * 
 * Click to add balls to the scenario.
 * 
 * @author Michael Berry
 * @version 10/09/08
 */
public class FPSWorld extends World
{

    /**
     * Create a new world
     */
    public FPSWorld()
    {    
        super(400,100,1);
        addObject(new Ball(), getWidth()/2, getHeight()/2);
        addObject(new FPS(), 200, 10);
    }
    
    public void act()
    {
        //Add balls if the mouse is clicked
        MouseInfo mouse = Greenfoot.getMouseInfo();
        if(mouse != null) {
            if(mouse.getButton()==1) {
                addObject(new Ball(), mouse.getX(), mouse.getY());
            }
        }
    }
}
